Skip to main content
GET
/
payments
/
verifications
/
{verificationId}
Get account verification
curl --request GET \
  --url https://api.paysway.dev/payments/verifications/{verificationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z",
  "state": "PENDING",
  "result": {
    "accountStatus": "ACTIVE",
    "accountHolderName": {
      "verifiedName": "<string>",
      "matchStatus": "FULL_MATCH"
    },
    "accountType": {
      "matchStatus": "MATCH"
    },
    "schemeResponseCode": "EPC_VOP_MTCH"
  },
  "failureReason": "INVALID_FIELD",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.paysway.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

verificationId
string<uuid>
required

Response

200 - application/json

Account verification details returned successfully

id
string<uuid>
required
createdDate
string<date-time>
required
updatedDate
string<date-time>
required
state
enum<string>
required
Available options:
PENDING,
COMPLETED,
FAILED
result
object
failureReason
enum<string>
Available options:
INVALID_FIELD,
UNAVAILABLE_FINANCIAL_INSTITUTION,
UNSUPPORTED_FINANCIAL_INSTITUTION,
UNEXPECTED_ERROR
metadata
object

Arbitrary key-value pairs